Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class SnapshotRecordingMonitor

    java.lang.Object
      org.jboss.monitor.SnapshotRecordingMonitor

All Implemented Interfaces:
  javax.management.MBeanRegistration, Runnable, SnapshotRecordingMonitorMBean

public class SnapshotRecordingMonitor
extends Object
implements Runnable, SnapshotRecordingMonitorMBean, javax.management.MBeanRegistration

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary
`protected String` | `attribute`
`protected long` | `endTime`
`protected ArrayList` | `history`
`protected org.jboss.logging.Logger` | `log`
`protected javax.management.MBeanServer` | `mbeanServer`
`protected String` | `monitorName`
`protected javax.management.ObjectName` | `observedObject`
`protected long` | `period`
`protected boolean` | `recording`
`protected long` | `startTime`

Constructor Summary
`SnapshotRecordingMonitor()`

Method Summary
`void` | `clearData()`
`void` | `endSnapshot()`
`ArrayList` | `getData()`
`long` | `getEndTime()`
`String` | `getMonitorName()`
`String` | `getObservedAttribute()`
`javax.management.ObjectName` | `getObservedObject()`
`long` | `getPeriod()`
`long` | `getStartTime()`
`boolean` | `isRecording()`
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName objectName)`
`void` | `run()`
`void` | `setMonitorName(String name)`
`void` | `setObservedAttribute(String attr)`
`void` | `setObservedObject(javax.management.ObjectName oname)`
`void` | `setPeriod(long period)`
`void` | `setRecording(boolean start)`
`protected void` | `startMonitorThread()`
`void` | `startSnapshot()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

### monitorName

    protected String monitorName

### observedObject

    protected javax.management.ObjectName observedObject

### attribute

    protected String attribute

### recording

    protected boolean recording

### period

    protected long period

### history

    protected ArrayList history

### startTime

    protected long startTime

### endTime

    protected long endTime

### mbeanServer

    protected javax.management.MBeanServer mbeanServer

Constructor Detail

### SnapshotRecordingMonitor

    public SnapshotRecordingMonitor()

Method Detail

### startMonitorThread

    protected void startMonitorThread()

### getMonitorName

    public String getMonitorName()

  Specified by:
    `getMonitorName` in interface `SnapshotRecordingMonitorMBean`

### setMonitorName

    public void setMonitorName(String name)

  Specified by:
    `setMonitorName` in interface `SnapshotRecordingMonitorMBean`

### getObservedObject

    public javax.management.ObjectName getObservedObject()

  Specified by:
    `getObservedObject` in interface `SnapshotRecordingMonitorMBean`

### setObservedObject

    public void setObservedObject(javax.management.ObjectName oname)

  Specified by:
    `setObservedObject` in interface `SnapshotRecordingMonitorMBean`

### getObservedAttribute

    public String getObservedAttribute()

  Specified by:
    `getObservedAttribute` in interface `SnapshotRecordingMonitorMBean`

### setObservedAttribute

    public void setObservedAttribute(String attr)

  Specified by:
    `setObservedAttribute` in interface `SnapshotRecordingMonitorMBean`

### isRecording

    public boolean isRecording()

  Specified by:
    `isRecording` in interface `SnapshotRecordingMonitorMBean`

### setRecording

    public void setRecording(boolean start)

### getPeriod

    public long getPeriod()

  Specified by:
    `getPeriod` in interface `SnapshotRecordingMonitorMBean`

### setPeriod

    public void setPeriod(long period)

  Specified by:
    `setPeriod` in interface `SnapshotRecordingMonitorMBean`

### getData

    public ArrayList getData()

  Specified by:
    `getData` in interface `SnapshotRecordingMonitorMBean`

### clearData

    public void clearData()

  Specified by:
    `clearData` in interface `SnapshotRecordingMonitorMBean`

### startSnapshot

    public void startSnapshot()

  Specified by:
    `startSnapshot` in interface `SnapshotRecordingMonitorMBean`

### endSnapshot

    public void endSnapshot()

  Specified by:
    `endSnapshot` in interface `SnapshotRecordingMonitorMBean`

### getStartTime

    public long getStartTime()

  Specified by:
    `getStartTime` in interface `SnapshotRecordingMonitorMBean`

### getEndTime

    public long getEndTime()

  Specified by:
    `getEndTime` in interface `SnapshotRecordingMonitorMBean`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName objectName)
                                            throws Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.